package com.yeejoin.amos.boot.module.hygf.api.Enum;
import lombok.AllArgsConstructor;
import lombok.Getter;
@Getter
@AllArgsConstructor
public enum  TaskTypeStationEnum {
    经销商审核("经销商审核", "经销商审核"),
    电站勘察("电站勘察", "电站勘察"),
    电站审核("电站审核", "电站审核"),
    合同填报("合同填报", "合同填报"),
    重置密码("重置密码", "重置密码"),
    设置管理员("设置管理员", "设置管理员");
    /**
     * 名称，描述
     */
    private String name;
    /**
     * 编码
     */
    private String code;

    public static TaskTypeStationEnum getNodeByCode(String code) {
        TaskTypeStationEnum taskTypeStationEnum = null;
        for(TaskTypeStationEnum type: TaskTypeStationEnum.values()) {
            if (type.getCode().equals(code)) {
                taskTypeStationEnum = type;
                break;
            }
        }
        return taskTypeStationEnum;
    }
}